com.pivotal.gemfirexd.internal.client.net

## Class NetResultSet40

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.ResultSet
  - - com.pivotal.gemfirexd.internal.client.net.NetResultSet
    - - com.pivotal.gemfirexd.internal.client.net.NetResultSet40

All Implemented Interfaces:
  ResultSetCallbackInterface, UnitOfWorkListener, AutoCloseable, ResultSet, Wrapper

    public class NetResultSet40
    extends NetResultSet

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.net.NetResultSet

`firstOutovrBuilt_`

### Fields inherited from class com.pivotal.gemfirexd.internal.client.am.ResultSet

`ABSOLUTE_ROWSET, absolutePosition_, absoluteRowNumberForTheIntendedRow_, agent_, connection_, currentRowInRowset_, cursor_, cursorHold_, cursorUnpositionedOnServer_, DDM_RETURN_CALLER, DDM_RETURN_CLIENT, fetchDirection_, fetchSize_, FIRST_ROWSET, firstRowInRowset_, generatedSection_, isAfterLast_, isBeforeFirst_, isFirst_, isLast_, isOnCurrentRow_, isRowsetCursor_, isValidCursorPosition_, LAST_ROWSET, lastRowInRowset_, nestingLevel_, NEXT_ROWSET, openOnServer_, PREVIOUS_ROWSET, queryInstanceIdentifier_, queryTerminatingSqlca_, REFRESH_ROWSET, RELATIVE_ROWSET, resultSetConcurrency_, resultSetHoldability_, resultSetMetaData_, resultSetType_, rowCount_, rowsetContainsLastRow_, rowsetSqlca_, rowsReceivedInCurrentRowset_, rowsYetToBeReceivedForRowset_, rsReturnability_, scrollable_, scrollOrientation_absolute__, scrollOrientation_after__, scrollOrientation_before__, scrollOrientation_current__, scrollOrientation_first__, scrollOrientation_last__, scrollOrientation_next__, scrollOrientation_prior__, scrollOrientation_relative__, sensitivity_, sensitivity_insensitive__, sensitivity_sensitive_dynamic__, sensitivity_sensitive_static__, sensitivity_unknown__, statement_, suggestedFetchSize_, updatability_delete__, updatability_readOnly__, updatability_unknown__, updatability_update__`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

Methods
`Reader` `getNCharacterStream(int columnIndex)`
`Reader` `getNCharacterStream(String columnName)`
`NClob` `getNClob(int i)`
`NClob` `getNClob(String colName)`
`String` `getNString(int columnIndex)`
`String` `getNString(String columnName)`
`<T> T` `getObject(int columnIndex, Class<T> type)`
`<T> T` `getObject(String columnLabel, Class<T> type)`
`RowId` `getRowId(int columnIndex)`
`RowId` `getRowId(String columnName)`
`SQLXML` `getSQLXML(int columnIndex)`
`SQLXML` `getSQLXML(String colName)`
`boolean` `isWrapperFor(Class<?> interfaces)` Returns false unless `interfaces` is implemented
`<T> T` `unwrap(Class<T> interfaces)` Returns `this` if this class implements the interface
`void` `updateNCharacterStream(int columnIndex, Reader x, long length)`
`void` `updateNCharacterStream(String columnName, Reader x, long length)`
`void` `updateNClob(int columnIndex, NClob nClob)`
`void` `updateNClob(int columnIndex, Reader x, long length)` Updates the designated column with a java.sql.NClob value.
`void` `updateNClob(String columnName, InputStream x, long length)` Updates the designated column with a java.sql.NClob value.
`void` `updateNClob(String columnName, NClob nClob)`
`void` `updateNClob(String columnName, Reader x, long length)` Updates the designated column with a java.sql.NClob value.
`void` `updateNString(int columnIndex, String nString)`
`void` `updateNString(String columnName, String nString)`
`void` `updateRowId(int columnIndex, RowId x)`
`void` `updateRowId(String columnName, RowId x)`
`void` `updateSQLXML(int columnIndex, SQLXML xmlObject)`
`void` `updateSQLXML(String columnName, SQLXML xmlObject)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetResultSet

`parseRowset_, preClose_, readCursorClose_, readFetch_, readPositioningFetch_, readScrollableFetch_, setFetchSize_, writeCursorClose_, writeFetch_, writePositioningFetch_, writeScrollableFetch_`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.ResultSet

`absolute, absoluteX, accumulateWarning, afterLast, beforeFirst, cancelRowUpdates, checkAndThrowReceivedQueryTerminatingException, checkForClosedResultSet, clearWarnings, clearWarningsX, close, closeX, completeLocalCommit, completeLocalRollback, completeSqlca, delete, deleteRow, earlyCloseComplete, expandRowsetSqlca, findColumn, first, flowFetch, flowPositioningFetch, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getConnectionCallbackInterface, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowCount, getRSReturnability, getShort, getShort, getStatement, getStatementCallbackInterface, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insert, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, last, listenToUnitOfWork, markClosedOnServer, markLOBAsAccessed, moveToAfterLast, moveToBeforeFirst, moveToCurrentRow, moveToInsertRow, next, nullDataForGC, parseScrollableRowset, positionToCurrentRowAndDelete, positionToCurrentRowAndUpdate, previous, readDeleteRow, readInsertRow, readUpdateRow, refreshRow, relative, repositionScrollableResultSetBeforeJDBC1PositionedUpdateDelete, rowCountIsKnown, rowCountIsUnknown, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, setRowCountEvent, setRowsetAfterLastEvent, setRowsetBeforeFirstEvent, setRowsetNoRowsEvent, setRSReturnability, setValidCursorPosition, update, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateColumnInfoFromCache, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateShort, updateShort, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull, writeDeleteRow, writeInsertRow, writeUpdateRow`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getNCharacterStream

    public Reader getNCharacterStream(int columnIndex)
                               throws SQLException

Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream(String columnName)
                               throws SQLException

Throws:
  `SQLException`

#### getNString

    public String getNString(int columnIndex)
                      throws SQLException

Throws:
  `SQLException`

#### getNString

    public String getNString(String columnName)
                      throws SQLException

Throws:
  `SQLException`

#### getRowId

    public RowId getRowId(int columnIndex)
                   throws SQLException

Throws:
  `SQLException`

#### getRowId

    public RowId getRowId(String columnName)
                   throws SQLException

Throws:
  `SQLException`

#### updateRowId

    public void updateRowId(int columnIndex,
                   RowId x)
                     throws SQLException

Throws:
  `SQLException`

#### updateRowId

    public void updateRowId(String columnName,
                   RowId x)
                     throws SQLException

Throws:
  `SQLException`

#### updateNString

    public void updateNString(int columnIndex,
                     String nString)
                       throws SQLException

Throws:
  `SQLException`

#### updateNString

    public void updateNString(String columnName,
                     String nString)
                       throws SQLException

Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                              Reader x,
                              long length)
                                throws SQLException

Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(String columnName,
                              Reader x,
                              long length)
                                throws SQLException

Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(int columnIndex,
                   NClob nClob)
                     throws SQLException

Throws:
  `SQLException`

#### updateNClob

    public void updateNClob(String columnName,
                   NClob nClob)
                     throws SQLException

Throws:
  `SQLException`

#### getNClob

    public NClob getNClob(int i)
                   throws SQLException

Throws:
  `SQLException`

#### getNClob

    public NClob getNClob(String colName)
                   throws SQLException

Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML(int columnIndex)
                     throws SQLException

Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML(String colName)
                     throws SQLException

Throws:
  `SQLException`

#### updateSQLXML

    public void updateSQLXML(int columnIndex,
                    SQLXML xmlObject)
                      throws SQLException

Throws:
  `SQLException`

#### updateSQLXML

    public void updateSQLXML(String columnName,
                    SQLXML xmlObject)
                      throws SQLException

Throws:
  `SQLException`

#### isWrapperFor

    public boolean isWrapperFor(Class<?> interfaces)
                         throws SQLException

Returns false unless `interfaces` is implemented

Parameters:
  `interfaces` - a Class defining an interface.
Returns:
  true if this implements the interface or directly or indirectly wraps an object that does.
Throws:
  `SQLException` - if an error occurs while determining whether this is a wrapper for an object with the given interface.

#### unwrap

    public <T> T unwrap(Class<T> interfaces)
             throws SQLException

Returns `this` if this class implements the interface

Parameters:
  `interfaces` - a Class defining an interface
Returns:
  an object that implements the interface
Throws:
  `java.sql.SQLExption` - if no object if found that implements the interface
  `SQLException`

#### updateNClob

    public void updateNClob(int columnIndex,
                   Reader x,
                   long length)
                     throws SQLException

Updates the designated column with a java.sql.NClob value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.

Parameters:
  `columnIndex` - - the first column is 1, the second is 2
  `x` - - the new column value
Throws:
  `SQLException` - Feature not implemented for now.

#### updateNClob

    public void updateNClob(String columnName,
                   InputStream x,
                   long length)
                     throws SQLException

Updates the designated column with a java.sql.NClob value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.

Parameters:
  `columnName` - - the name of the Clob column
  `x` - - the new column value
Throws:
  `SQLException` - Feature not implemented for now.

#### updateNClob

    public void updateNClob(String columnName,
                   Reader x,
                   long length)
                     throws SQLException

Updates the designated column with a java.sql.NClob value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.

Parameters:
  `columnName` - - the name of the Clob column
  `x` - - the new column value
Throws:
  `SQLException` - Feature not implemented for now.

#### getObject

    public <T> T getObject(int columnIndex,
                  Class<T> type)
                throws SQLException

Throws:
  `SQLException`

#### getObject

    public <T> T getObject(String columnLabel,
                  Class<T> type)
                throws SQLException

Throws:
  `SQLException`